# Radiator heating at 60°C for A2W heat pump.

parameters:
  duration: 2.0               # Duration of simulation, hours.
  cycleTime: 0.2              # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.0001       # Temperature threshold for determining if
                              # state has changed.
  sensorWeight: 0.0           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp: -2.2               # Outside air temperature, °C
  groundTemp: 10.2            # Ground temperature, °C
  radTemp: 60.0               # Average radiator temperature

programs:
  temp21:
    - duration: 4.0
      setpoint: 21
  temp20:
    - duration: 4.0
      setpoint: 20
  temp19:
    - duration: 4.0
      setpoint: 19
  temp18:
    - duration: 4.0
      setpoint: 18

#!include materials.yaml
#!include slabs.yaml
#!include rooms.yaml

outside:
  Air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
  Ground:
    temperature: groundTemp

heaters:
  DiningRoom:
    # existing to P+ 600x600
    maxPower: 1616
    minPower: 0
    type: radiator
    room: DiningRoom
    program: temp21
  Lounge:
    # upgraded to Stelrad 1800x600
    maxPower: 2376
    minPower: 0
    type: radiator
    room: Lounge
    program: temp21
  BackRoom:
    # upgraded to P+ 600x900
    maxPower: 1212
    minPower: 0
    type: radiator
    room: BackRoom
    program: temp21
  FrontBedroom:
    # original K1 400x700
    maxPower: 470
    minPower: 0
    type: radiator
    room: FrontBedroom
    program: temp18
  BackBedroom:
    # original K1 400x700
    maxPower: 470
    minPower: 0
    type: radiator
    room: BackBedroom
    program: temp18
  Study:
    # upgraded to K2 700x400
    maxPower: 784
    minPower: 0
    type: radiator
    room: Study
    program: temp21
  Bathroom:
    # original towel radiator
    maxPower: 415
    minPower: 0
    type: radiator
    room: Bathroom
    program: temp21
  Hall:
    # original P+ 500x700
    maxPower: 821
    minPower: 0
    type: radiator
    room: Hall
    program: temp21
  Ensuite:
    # original towel radiator
    maxPower: 150
    minPower: 0
    type: air
    room: Ensuite
    program: temp20

